
Foreman - Bug #2536

Available locales not populated in production mode

05/21/2013 04:23 PM - Dominic Cleal

Status: Closed   

Priority: High   

Assignee: Tomáš Strachota   

Category: Internationalization   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When running in production mode and after running rake gettext:pack, or using the packages, no locales are listed in the dropdown

menu in the user settings, or does setting locale= work.

Associated revisions

Revision 40b31d27 - 05/28/2013 10:49 AM - Tomáš Strachota

fixes #2536 - loading locale .mo files in production mode

- initializer script fixed to look for .mo files

- Makefile updated to place *.mo into /locale//LC_MESSAGES

(rake gettext:pack places them there as well)

- *.mo files added to foreman.spec

Revision 39eff78f - 05/28/2013 12:10 PM - Tomáš Strachota

fixes #2536 - loading locale .mo files in production mode

- initializer script fixed to look for .mo files

- Makefile updated to place *.mo into /locale//LC_MESSAGES

(rake gettext:pack places them there as well)

- *.mo files added to foreman.spec

(cherry picked from commit 40b31d27c0b45a7bc4d22411cd3dcc3551b3ab0f)

History

#1 - 05/22/2013 07:26 AM - Tomáš Strachota

- Assignee set to Tomáš Strachota

#2 - 05/26/2013 06:21 AM - Dominic Cleal

- Status changed from New to Ready For Testing

https://github.com/theforeman/foreman/pull/645

#3 - 05/28/2013 12:17 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 40b31d27c0b45a7bc4d22411cd3dcc3551b3ab0f.
